# azure.mgmt.trafficmanager.models module

class `azure.mgmt.trafficmanager.models.``Endpoint`(id=None, name=None, type=None, target_resource_id=None, target=None, endpoint_status=None, weight=None, priority=None, endpoint_location=None, endpoint_monitor_status=None, min_child_endpoints=None)

  Bases: `msrest.serialization.Model`

  Class representing a Traffic Manager endpoint.

  Parameters:

  - id (str) – Gets or sets the ID of the Traffic Manager endpoint.
  - name (str) – Gets or sets the name of the Traffic Manager endpoint.
  - type (str) – Gets or sets the endpoint type of the Traffic Manager endpoint.
  - target_resource_id (str) – Gets or sets the Azure Resource URI of the of the endpoint. Not applicable to endpoints of type ‘ExternalEndpoints’.
  - target (str) – Gets or sets the fully-qualified DNS name of the endpoint. Traffic Manager returns this value in DNS responses to direct traffic to this endpoint.
  - endpoint_status (str) – Gets or sets the status of the endpoint.. If the endpoint is Enabled, it is probed for endpoint health and is included in the traffic routing method. Possible values are ‘Enabled’ and ‘Disabled’.
  - weight (long) – Gets or sets the weight of this endpoint when using the ‘Weighted’ traffic routing method. Possible values are from 1 to 1000.
  - priority (long) – Gets or sets the priority of this endpoint when using the ‘Priority’ traffic routing method. Possible values are from 1 to 1000, lower values represent higher priority. This is an optional parameter. If specified, it must be specified on all endpoints, and no two endpoints can share the same priority value.
  - endpoint_location (str) – Specifies the location of the external or nested endpoints when using the ‘Performance’ traffic routing method.
  - endpoint_monitor_status (str) – Gets or sets the monitoring status of the endpoint.
  - min_child_endpoints (long) – Gets or sets the minimum number of endpoints that must be available in the child profile in order for the parent profile to be considered available. Only applicable to endpoint of type ‘NestedEndpoints’.

class `azure.mgmt.trafficmanager.models.``CheckTrafficManagerRelativeDnsNameAvailabilityParameters`(name=None, type=None)

  Bases: `msrest.serialization.Model`

  Parameters supplied to check Traffic Manager name operation.

  Parameters:

  - name (str) – Gets or sets the name of the resource.
  - type (str) – Gets or sets the type of the resource.

class `azure.mgmt.trafficmanager.models.``DnsConfig`(relative_name=None, fqdn=None, ttl=None)

  Bases: `msrest.serialization.Model`

  Class containing DNS settings in a Traffic Manager profile.

  Parameters:

  - relative_name (str) – Gets or sets the relative DNS name provided by this Traffic Manager profile. This value is combined with the DNS domain name used by Azure Traffic Manager to form the fully-qualified domain name (FQDN) of the profile.
  - fqdn (str) – Gets or sets the fully-qualified domain name (FQDN) of the Traffic Manager profile. This is formed from the concatenation of the RelativeName with the DNS domain used by Azure Traffic Manager.
  - ttl (long) – Gets or sets the DNS Ttime-To-Live (TTL), in seconds. This informs the local DNS resolvers and DNS clients how long to cache DNS responses provided by this Traffic Manager profile.

class `azure.mgmt.trafficmanager.models.``MonitorConfig`(profile_monitor_status=None, protocol=None, port=None, path=None)

  Bases: `msrest.serialization.Model`

  Class containing endpoint monitoring settings in a Traffic Manager profile.

  Parameters:

  - profile_monitor_status (str) – Gets or sets the profile-level monitoring status of the Traffic Manager profile.
  - protocol (str) – Gets or sets the protocol (HTTP or HTTPS) used to probe for endpoint health.
  - port (long) – Gets or sets the TCP port used to probe for endpoint health.
  - path (str) – Gets or sets the path relative to the endpoint domain name used to probe for endpoint health.

class `azure.mgmt.trafficmanager.models.``Profile`(location=None, tags=None, profile_status=None, traffic_routing_method=None, dns_config=None, monitor_config=None, endpoints=None)

  Bases: `azure.mgmt.trafficmanager.models.resource.Resource`

  Class representing a Traffic Manager profile.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - id (str) – Resource Id
  - name (str) – Resource name
  - type (str) – Resource type

  Parameters:

  - location (str) – Resource location
  - tags (dict) – Resource tags
  - profile_status (str) – Gets or sets the status of the Traffic Manager profile. Possible values are ‘Enabled’ and ‘Disabled’.
  - traffic_routing_method (str) – Gets or sets the traffic routing method of the Traffic Manager profile. Possible values are ‘Performance’, ‘Weighted’, or ‘Priority’.
  - dns_config (`DnsConfig`) – Gets or sets the DNS settings of the Traffic Manager profile.
  - monitor_config (`MonitorConfig`) – Gets or sets the endpoint monitoring settings of the Traffic Manager profile.
  - endpoints (list of `Endpoint`) – Gets or sets the list of endpoints in the Traffic Manager profile.

class `azure.mgmt.trafficmanager.models.``TrafficManagerNameAvailability`(name=None, type=None, name_available=None, reason=None, message=None)

  Bases: `msrest.serialization.Model`

  Class representing a Traffic Manager Name Availability response.

  Parameters:

  - name (str) – The relative name.
  - type (str) – Traffic Manager profile resource type.
  - name_available (bool) – Describes whether the relative name is available or not.
  - reason (str) – The reason why the name is not available, when applicable.
  - message (str) – Descriptive message that explains why the name is not available, when applicable.

class `azure.mgmt.trafficmanager.models.``Resource`(location=None, tags=None)

  Bases: `msrest.serialization.Model`

  Resource.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - id (str) – Resource Id
  - name (str) – Resource name
  - type (str) – Resource type

  Parameters:

  - location (str) – Resource location
  - tags (dict) – Resource tags

class `azure.mgmt.trafficmanager.models.``ProfilePaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of Profile object